SQLLINE:(1)

NAME
sqlline - JDBC command-line utility for issuing SQL

SYNOPSIS
sqlline [ option... ]

DESCRIPTION

-u <database url>
    the JDBC URL to connect to

-n <username>
    the username to connect as

-p <password>
    the password to connect as

-d <driver class>
    the driver class to use

--color=[true/false]
    control whether color is used for display

--showHeader=[true/false]
    show column names in query results

--headerInterval=ROWS;
    the interval between which heades are displayed

--fastConnect=[true/false]
    skip building table/column list for tab-completion

--autoCommit=[true/false]
    enable/disable automatic transaction commit

--verbose=[true/false]
    show verbose error messages and debug info

--showWarnings=[true/false]
    display connection warnings

--force=[true/false]
    continue running script even after errors

--maxWidth=MAXWIDTH
    the maximum width of the terminal

--maxColumnWidth=MAXCOLWIDTH
    the maximum width to use when displaying columns

--silent=[true/false]
    be more silent

--autosave=[true/false]
    automatically save preferences

--outputformat=[table/vertical/csv/tsv]
    format mode for result display

--isolation=LEVEL
    set the transaction isolation level

--help
    display this message

Usage: java sqlline.SqlLine

-u <database url>
    the JDBC URL to connect to

-n <username>
    the username to connect as

-p <password>
    the password to connect as

-d <driver class>
    the driver class to use

--color=[true/false]
    control whether color is used for display

--showHeader=[true/false]
    show column names in query results

--headerInterval=ROWS;
    the interval between which heades are displayed

--fastConnect=[true/false]
    skip building table/column list for tab-completion

--autoCommit=[true/false]
    enable/disable automatic transaction commit

--verbose=[true/false]
    show verbose error messages and debug info

--showWarnings=[true/false]
    display connection warnings

--force=[true/false]
    continue running script even after errors

--maxWidth=MAXWIDTH
    the maximum width of the terminal

--maxColumnWidth=MAXCOLWIDTH
    the maximum width to use when displaying columns

--silent=[true/false]
    be more silent

--autosave=[true/false]
    automatically save preferences

--outputformat=[table/vertical/csv/tsv]
    format mode for result display

--isolation=LEVEL
    set the transaction isolation level

--help
    display this message

-u <database url>
    the JDBC URL to connect to

-n <username>
    the username to connect as

-p <password>
    the password to connect as

-d <driver class>
    the driver class to use

--color=[true/false]
    control whether color is used for display

--showHeader=[true/false]
    show column names in query results

--headerInterval=ROWS;
    the interval between which heades are displayed

--fastConnect=[true/false]
    skip building table/column list for tab-completion

--autoCommit=[true/false]
    enable/disable automatic transaction commit

--verbose=[true/false]
    show verbose error messages and debug info

--showWarnings=[true/false]
    display connection warnings

--force=[true/false]
    continue running script even after errors

--maxWidth=MAXWIDTH
    the maximum width of the terminal

--maxColumnWidth=MAXCOLWIDTH
    the maximum width to use when displaying columns

--silent=[true/false]
    be more silent

--autosave=[true/false]
    automatically save preferences

--outputformat=[table/vertical/csv/tsv]
    format mode for result display

--isolation=LEVEL
    set the transaction isolation level

--help
    display this message